%define major 1
%define sname libfwbuilder
%define name %{sname}%{major}
%define version 0.10.4
%define release 1mdk

Name: %{name}
Summary: Firewall Builder API
Url: http://www.fwbuilder.org/
Version: %{version}
Release: %{release}
License: GPL
Group:  System/Libraries
Source: http://prdownloads.sourceforge.net/fwbuilder/%{sname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: ucd-snmp >= 4.1
Requires: libsigc++
BuildRequires: libxslt-devel
BuildRequires: libsigc++-devel

%description -n libfwbuilder%{major}
Firewall Builder API Library

%package -n %{name}-devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Other
Requires:  %{name} = %{version}
Obsoletes: fwbuilder-devel
Provides:  libfwbuilder-devel
Provides: fwbuilder-devel

%description -n libfwbuilder%{major}-devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%prep 

%setup -q -n %sname-%version

%build

%configure --with-templatedir=%{_datadir}/%{sname}

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README
%{_datadir}/%{sname}/*
%{_libdir}/%{sname}.so.*

%files  -n %{name}-devel
%defattr(-, root, root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README doc/classref
%{_bindir}/%{sname}-config
%{_includedir}/fwbuilder
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Wed Jan 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- clean

* Tue Dec 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.3-1mdk
- 0.10.3

* Mon Dec 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.2-1mdk
- 0.10.2

* Tue Nov  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.0-1mdk
- first mandrake release, taken from fwbuiler web site
- macroszification
- corrected source url
- a few Requires and BuildRequires 
- post and postun ldconfig
